/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
import "Common"

// Simple slider recipe shows how a Slider control can be added
// and how to connect to the value changing signal of the Slider.
RecipePage {
    RecipeContainer {

        Container {
            layout: StackLayout {
                leftPadding: 20
                rightPadding: leftPadding
            }
            layoutProperties: DockLayoutProperties {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }

            // A label that presents the current Slider values (with one digit precision).
            Label {
                id: labeltext
                text: "Value: 0"
                textStyle {
                    base: SystemDefaults.TextStyles.TitleText
                }
            }

            // A simple Slider changing values from 0 to 1.
            Slider {
                fromValue: 0
                toValue: 1
                onValueChanging: {
                    // Updating the Label with current value (with one digit precision).
                    labeltext.text = "Value: " + value.toFixed (1);
                }
            }
        }
    }
}
